<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ComputerStatusSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('computer_statuses')->insert([
            'name' => "Activo",
            'description' => "El terminal está operativo y disponible.",
        ]);

        DB::table('computer_statuses')->insert([
            'name' => "Inactivo",
            'description' => "El terminal está fuera de servicio temporalmente.",
        ]);

        DB::table('computer_statuses')->insert([
            'name' => "Reservado",
            'description' => "El terminal está reservado por un usuario.",
        ]);

        DB::table('computer_statuses')->insert([
            'name' => "En uso",
            'description' => "El terminal está siendo utilizado actualmente.",
        ]);

        DB::table('computer_statuses')->insert([
            'name' => "Mantenimiento",
            'description' => "El terminal está en revisión o mantenimiento.",
        ]);
    }
}
